# Poco::Data::MySQL

# class ConnectionException

Library: Data/MySQL
Package: MySQL
Header: Poco/Data/MySQL/MySQLException.h

## Description

ConnectionException

## Inheritance

Direct Base Classes: MySQLException

All Base Classes: Poco::Data::DataException, MySQLException, Poco::Exception, Poco::IOException, Poco::RuntimeException, std::exception

## Member Summary

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### ConnectionException

ConnectionException(
const std::string & msg
);

Creates ConnectionException.

### ConnectionException

ConnectionException(
const std::string & text,
MYSQL * h
);

Destroys ConnectionException.